1. 23 Mar, 2022 4 commits
    • Nong Hoang Tu's avatar
      3ab1236b
    • Nong Hoang Tu's avatar
      Remove Debian's yml file · 0cf87d2f
      Nong Hoang Tu authored
      0cf87d2f
    • Lorenzo "Palinuro" Faletra's avatar
      Import Debian changes 0.15.0-2parrot1 · 6804b957
      Lorenzo "Palinuro" Faletra authored and Nong Hoang Tu's avatar Nong Hoang Tu committed
      ruby-ethon (0.15.0-2parrot1) parrot-updates; urgency=medium
      .
        * Import new Debian release.
      .
      ruby-ethon (0.15.0-2) unstable; urgency=medium
      .
        * Team upload
      .
        [ Daniel Leidert ]
        * d/control (Standards-Version): Bump to 4.6.0.
        * d/copyright: Add Upstream-Contact field.
          (Source): Update URL.
          (Copyright): Update and add team.
        * d/upstream/metadata: Update Changelog URL.
      .
      ruby-ethon (0.15.0-1) unstable; urgency=medium
      .
        * Team upload
      .
        [ Utkarsh Gupta ]
        * Add salsa-ci.yml
      .
        [ Debian Janitor ]
        * Trim trailing whitespace.
        * Use secure copyright file specification URI.
        * Bump debhelper from old 11 to 12.
        * Set debhelper-compat version in Build-Depends.
        * Set upstream metadata fields: Bug-Database, Repository, Repository-
          Browse.
        * Update watch file format version to 4.
        * Set upstream metadata fields: Bug-Submit.
        * Remove constraints unnecessary since buster
      .
        [ Cédric Boutillier ]
        * Update team name
        * Add .gitattributes to keep unwanted files out of the source package
        * New upstream version 0.15.0
        * Update packaging files with dh-ruby-make -w
          + add build-dependency on ruby-webrick (Closes: #996221)
          + use gem install layout
          + refresh patch
          + add no-git-in-gemspec.patch to drop usage of git in gemspec file
          + debhelper-compat level set to 13
          + explicitly state that rules file does not require root
          + drop explicit dependency on ruby interpreter
          + Use ${ruby:Depends} to manage (some) dependencies through gemspec file
      .
      ruby-ethon (0.9.0-2) unstable; urgency=medium
      .
        * Team upload.
        * Bump dependency from libcurl3 to libcurl4 for the openssl1.1 transition.
          Note that this changes the ABI with respect to SSL_CTX objects;
          consumers of ruby-ethon must now switch to using OpenSSL 1.1 objects
          instead of OpenSSL 1.0 if they use curl_easy_setopt(SSL_CTX_FUNCTION).
          (Thanks to Steve Langasek for the note) (Closes: #900297)
      .
      ruby-ethon (0.9.0-1) unstable; urgency=medium
      .
        * New upstream release
      .
      ruby-ethon (0.8.1-1) unstable; urgency=medium
      .
        * Team upload.
        * New upstream release
        * Add tests back on package build.
          - Tests required rspec 3, but this version is now present in unstable
      .
      ruby-ethon (0.8.0-1) unstable; urgency=medium
      .
        * New upstream release
      .
      ruby-ethon (0.7.4-1) unstable; urgency=medium
      .
        * New upstream release
      .
      ruby-ethon (0.7.1-2) unstable; urgency=medium
      .
        * Re-upload to unstable.
      .
      ruby-ethon (0.7.1-1) experimental; urgency=medium
      .
        * New upstream release.
        * Bump standards version to 3.9.6 (no changes).
      .
      ruby-ethon (0.7.0-1) unstable; urgency=low
      .
        * New upstream release.
        * Bump standards version to 3.9.5 (no changes)
        * Bump gem2deb build dep to >= 0.7.5 (ruby 2.x)
        * Remove already applied patches.
        * Tighten ruby-ffi build dep (for ruby 2.1)
      .
      ruby-ethon (0.5.12-1) unstable; urgency=low
      .
        * Initial release (Closes: #693256)
      6804b957
    • Nong Hoang Tu's avatar
      New upstream version 0.15.0 · 8eecac2d
      Nong Hoang Tu authored
      8eecac2d